## php8.1 8.1.12

=== debian/changelog ===
php8.1 (8.1.12-1ubuntu4) lunar; urgency=medium

  * SECURITY UPDATE: password_verify() accepts invalid Blowfish hashes
    - debian/patches/CVE-2023-0567-1.patch: fix validation of malformed
      BCrypt hashes in ext/standard/crypt_blowfish.c,
      ext/standard/tests/crypt/bcrypt_salt_dollar.phpt.
    - debian/patches/CVE-2023-0567-2.patch: fix possible buffer overread in
      php_crypt() in ext/standard/crypt.c,
      ext/standard/tests/password/password_bcrypt_short.phpt.
    - CVE-2023-0567
  * SECURITY UPDATE: off-by-one in core path resolution function
    - debian/patches/CVE-2023-0568.patch: fix array overrun when appending
      slash to paths in ext/dom/document.c, ext/xmlreader/php_xmlreader.c,
      main/fopen_wrappers.c.
    - CVE-2023-0568
  * SECURITY UPDATE: DoS via excessive number of parts in HTTP form upload
    - debian/patches/CVE-2023-0662-1.patch: introduce
      max_multipart_body_parts INI in main/main.c, main/rfc1867.c,
      sapi/fpm/tests/*, sapi/fpm/tests/tester.inc.
    - debian/patches/CVE-2023-0662-2.patch: fix repeated warning for file
      uploads limit exceeding in main/rfc1867.c.
    - CVE-2023-0662

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Feb 2023 14:48:21 -0500

php8.1 (8.1.12-1ubuntu3) lunar; urgency=medium

  * SECURITY UPDATE: Integer overflow in PDO::quote()
    - debian/patches/CVE-2022-31631-*.patch: fix check
      unquotedlen size in ext/pdo_sqlite/sqlite_driver.c.
    - CVE-2022-31631

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 17 Feb 2023 14:49:23 -0500

php8.1 (8.1.12-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:52:55 +0000

php8.1 (8.1.12-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1996515). Remaining changes:
    - Force upgrade from earlier mod-php's to version 8.1 (LP #1890263):
      + d/control: add transitional packages and Breaks/Replaces.
      + d/rules: exclude transitional packages in dh_install.
    - d/rules: Don't fill up build log with pedantic warnings.
    - d/rules: document garbage collection in ini files. (LP #1772915)
    - d/rules: fix PHP_EXTRA_VERSION setting. (LP #1989196)
    - Test PHP_EXTRA_VERSION setting with autopkgtest.
  * Dropped changes:
    - SECURITY UPDATE: Memory corruption in libmagic
      + debian/patches/CVE-2022-31627.patch: use the same memory allocator in
        ext/fileinfo/libmagic.patch, ext/fileinfo/libmagic/softmagic.c,
        ext/fileinfo/tests/bug81723.phpt.
      + CVE-2022-31627
      [ Fixed in 8.1.8 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 14 Nov 2022 13:07:00 -0300

php8.1 (8.1.12-1) unstable; urgency=medium

  * New upstream version 8.1.12
   + CVE-2022-31630: OOB read due to insufficient input validation in
     imageloadfont()
   + CVE-2022-37454: buffer overflow in hash_update() on long parameter

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Oct 2022 19:32:24 +0200

php8.1 (8.1.11-1) unstable; urgency=medium

  * New upstream version 8.1.11
   + CVE-2022-31628: phar wrapper: DOS when using quine gzip file.
   + CVE-2022-31629: Don't mangle HTTP variable names that clash with
     ones that have a specific semantic meaning.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Sep 2022 23:42:42 +0200

php8.1 (8.1.10-2) unstable; urgency=medium

  * Use media-types instead of mime-support (Closes: #1010155)
  * Make the build (mostly) reproducible (Closes: #1001648)
  * Export SED := /bin/sed in d/rules (Closes: #1015188)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2022 12:03:17 +0200

php8.1 (8.1.10-1) unstable; urgency=medium

  * New upstream version 8.1.10

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Sep 2022 12:12:15 +0200

php8.1 (8.1.9-1) unstable; urgency=medium

  * New upstream version 8.1.9

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2022 11:31:29 +0200

php8.1 (8.1.8-1) unstable; urgency=medium

  * New upstream version 8.1.8

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Jul 2022 10:28:52 +0200

php8.1 (8.1.7-1ubuntu3) kinetic; urgency=medium

  * d/rules: fix PHP_EXTRA_VERSION setting. (LP: #1989196)
  * Test PHP_EXTRA_VERSION setting with autopkgtest.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 13 Sep 2022 11:02:34 -0300

php8.1 (8.1.7-1ubuntu2) kinetic; urgency=medium

  * d/rules: fix documented garbage collection probability default value. This
    is a cleanup for the fix proposed in LP #1772915.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 06 Sep 2022 15:00:21 -0300

php8.1 (8.1.7-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1983285, #1983205). Remaining changes:
    - Force upgrade from earlier mod-php's to version 8.1 (LP #1890263):
      + d/control: add transitional packages and Breaks/Replaces.
      + d/rules: exclude transitional packages in dh_install.
    - d/rules: Don't fill up build log with pedantic warnings.
    - d/rules: document garbage collection in ini files. (LP #1772915)
    - SECURITY UPDATE: Memory corruption in libmagic
      + debian/patches/CVE-2022-31627.patch: use the same memory allocator in
        ext/fileinfo/libmagic.patch, ext/fileinfo/libmagic/softmagic.c,
        ext/fileinfo/tests/bug81723.phpt.
      + CVE-2022-31627
  * Dropped changes:
    - d/p/0046-Update-gcc-func-attr-macro.patch: fix detection of unknown gcc
      function attributes. (LP #1882279)
      [ Fixed in 8.1.7-1 ]
    - d/p/0047-Fix-ssl3-unexpected-eof.patch: fix OpenSSL3 related
      unexpected EOF failure. (LP #1975626)
      [ Fixed in 8.1.7-1 ]
    - SECURITY UPDATE: RCE via Uninitialized array in pg_query_params()
      + debian/patches/CVE-2022-31625.patch: don't free parameters which
        haven't initialized yet in ext/pgsql/pgsql.c,
        ext/pgsql/tests/bug81720.phpt.
      + CVE-2022-31625
      [ Fixed in 8.1.7-1 ]
    - SECURITY UPDATE: RCE via mysqlnd/pdo password buffer overflow

