## php8.1 8.1.29

=== debian/changelog ===
php8.1 (8.1.29-1+0~20240606.65+debian10~1.gbp2ddf4e) unstable; urgency=medium

  ** SNAPSHOT build @2ddf4eaf86fdcd8b4c788c8972393dff80de1098 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Thu, 06 Jun 2024 18:38:41 +0200

php8.1 (8.1.29-1) unstable; urgency=medium

  * New upstream version 8.1.29

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2024 18:18:28 +0200

php8.1 (8.1.28-2) unstable; urgency=medium

  * Fix the php-config mangling script in configure embeds the options in
    a single quote

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:29:24 +0200

php8.1 (8.1.28-1) unstable; urgency=medium

  * New upstream version 8.1.28
   + CVE-2024-1874: Fixed bug GHSA-pc52-254m-w9w7 (Command injection via
     array-ish $command parameter of proc_open).
   + CVE-2024-2756: Fixed bug GHSA-wpj3-hf5j-x4v4 (__Host-/__Secure-
     cookie bypass due to partial CVE-2022-31629 fix).
   + CVE-2024-3096: Fixed bug GHSA-h746-cjrr-wfmr (password_verify can
     erroneously return true, opening ATO risk).

 -- Ondřej Surý <ondrej@debian.org>  Mon, 22 Apr 2024 11:43:45 +0200

php8.1 (8.1.27-4) unstable; urgency=medium

  * Backported from 8.1.28
   + CVE-2024-1874: Fixed bug GHSA-pc52-254m-w9w7 (Command injection via
     array-ish $command parameter of proc_open).
   + CVE-2024-2756: Fixed bug GHSA-wpj3-hf5j-x4v4 (__Host-/__Secure-
     cookie bypass due to partial CVE-2022-31629 fix).
   + CVE-2024-3096: Fixed bug GHSA-h746-cjrr-wfmr (password_verify can
     erroneously return true, opening ATO risk).

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Apr 2024 23:06:08 +0200

php8.1 (8.1.27-3) unstable; urgency=medium

  [ Ondřej Surý ]
  * Just don't set PHP extra version at all, it makes little sense
  * Remove hardcoded dependency on libmagic1 (Closes: #1065985)

  [ Andrey Rakhmatullin ]
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066234).

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Mar 2024 09:29:37 +0100

php8.1 (8.1.27-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Fix PHP_EXTRA_VERSION setting
  * Test the PHP_EXTRA_VERSION setting
  * Move disabling the upstream GC routine to a patch (Closes: #831752)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Jan 2024 14:06:28 +0100

php8.1 (8.1.27-1) unstable; urgency=medium

  * New upstream version 8.1.27

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Dec 2023 21:13:18 +0100

php8.1 (8.1.26-1) unstable; urgency=medium

  * New upstream version 8.1.26

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Nov 2023 09:42:39 +0100

php8.1 (8.1.25-1) unstable; urgency=medium

  * New upstream version 8.1.25

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Oct 2023 10:59:43 +0200

php8.1 (8.1.24-1) unstable; urgency=medium

  * New upstream version 8.1.24

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Oct 2023 11:45:17 +0200

php8.1 (8.1.23-1) unstable; urgency=medium

  * New upstream version 8.1.23
  * Enable DTrace on all architectures

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Sep 2023 08:49:53 +0200

php8.1 (8.1.22-2) unstable; urgency=medium

  * Pull upstream patch to revert behaviour of receiving SIGCHLD signals
    back to the behaviour before 8.1.22. (GH#2007)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Aug 2023 12:26:22 +0200

php8.1 (8.1.22-1) unstable; urgency=medium

  * New upstream version 8.1.22

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Aug 2023 07:24:32 +0200

php8.1 (8.1.21-1) unstable; urgency=medium

  * New upstream version 8.1.21

 -- Ondřej Surý <ondrej@debian.org>  Sat, 08 Jul 2023 09:03:19 +0200

php8.1 (8.1.20-1) unstable; urgency=medium

  * New upstream version 8.1.20
   + Fixed GHSA-76gg-c692-v2mw: Missing error check and insufficient
     random bytes in HTTP Digest authentication for SOAP.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Jun 2023 08:47:41 +0200

php8.1 (8.1.19-1) unstable; urgency=medium

  * New upstream version 8.1.19

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 May 2023 10:07:44 +0200

php8.1 (8.1.18-1) unstable; urgency=medium

  * New upstream version 8.1.18

 -- Ondřej Surý <ondrej@debian.org>  Fri, 14 Apr 2023 06:26:30 +0200

php8.1 (8.1.17-1) unstable; urgency=medium

  * New upstream version 8.1.17

 -- Ondřej Surý <ondrej@debian.org>  Thu, 16 Mar 2023 15:30:12 +0100

php8.1 (8.1.16+repack-1) unstable; urgency=medium

  * New upstream version 8.1.16
   + The upstream tarball had to be repacked, because it contained
     Apple meta-data inside the tarball

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Feb 2023 19:16:24 +0100

php8.1 (8.1.15-3) unstable; urgency=medium

  * Disable OPcache JIT by default (fixup)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 12:30:36 +0100

php8.1 (8.1.15-2) unstable; urgency=medium

  * Disable OPcache JIT by default (can be re-enabled at runtime)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 11:59:58 +0100

php8.1 (8.1.15-1) unstable; urgency=medium

  * New upstream version 8.1.15

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Feb 2023 10:38:35 +0100

php8.1 (8.1.14-2) unstable; urgency=medium

  * Fix GH-10187: Segfault in stripslashes() with arm64

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Feb 2023 10:38:29 +0100

php8.1 (8.1.14-1) unstable; urgency=medium

  * New upstream version 8.1.14

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Jan 2023 16:17:10 +0100

php8.1 (8.1.13-1) unstable; urgency=medium

  * New upstream version 8.1.13

 -- Ondřej Surý <ondrej@debian.org>  Sat, 26 Nov 2022 15:01:25 +0100
