=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php8.1
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-dev (>= 2.4),
@@ -68,7 +67,7 @@
                netbase,
                netcat-openbsd,
                re2c,
-               systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
+               systemtap-sdt-dev,
                tzdata,
                unixodbc-dev,
                zlib1g-dev
@@ -82,8 +81,7 @@
 Package: libapache2-mod-php8.1
 Section: httpd
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.1-cli,
          php8.1-common (= ${binary:Version}),
          php8.1-opcache,
@@ -95,8 +93,6 @@
           php-json,
           php8.1-json,
           ${php:Provides}
-Replaces: libapache2-mod-php7.4 (>> 8.1.2-1~),
-         libapache2-mod-php8.0 (>> 8.1.2-1~)
 Recommends: apache2
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
@@ -110,34 +106,9 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
-Package: libapache2-mod-php7.4
-Section: httpd
-Architecture: any
-Replaces: libapache2-mod-php7.4 (<< 7.4.3-5~)
-Breaks: libapache2-mod-php7.4 (<< 7.4.3-5~)
-Depends: libapache2-mod-php,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Transitional package
- This is a transitional dummy package to libapache2-mod-php8.1.  It can
- be safely removed and libapache2-mod-php installed instead.
-
-Package: libapache2-mod-php8.0
-Section: httpd
-Architecture: any
-Replaces: libapache2-mod-php8.0 (<< 8.0.8-2~)
-Breaks: libapache2-mod-php8.0 (<< 8.0.8-2~)
-Depends: libapache2-mod-php,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Transitional package
- This is a transitional dummy package to libapache2-mod-php8.1.  It can
- be safely removed and libapache2-mod-php installed instead.
-
 Package: libphp8.1-embed
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.1-cli,
          php8.1-common (= ${binary:Version}),
          php8.1-opcache,
@@ -182,8 +153,7 @@
 
 Package: php8.1-cgi
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.1-cli,
          php8.1-common (= ${binary:Version}),
          php8.1-opcache,
@@ -211,7 +181,6 @@
 Package: php8.1-cli
 Architecture: any
 Depends: libedit2 (>= 2.11-20080614-4),
-         libmagic1,
          media-types | mime-support,
          php8.1-common (= ${binary:Version}),
          php8.1-opcache,
@@ -261,8 +230,7 @@
 
 Package: php8.1-fpm
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.1-cli,
          php8.1-common (= ${binary:Version}),
          php8.1-opcache,
@@ -291,8 +259,7 @@
 
 Package: php8.1-phpdbg
 Architecture: any
-Depends: libmagic1,
-         media-types | mime-support,
+Depends: media-types | mime-support,
          php8.1-cli,
          php8.1-common (= ${binary:Version}),
          php8.1-opcache,
@@ -353,3 +320,37 @@
          ucf,
          ${misc:Depends},
          ${php:Depends},
+	 ${php-bz2:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+	     ${php-bz2:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-bz2:Replaces}
+Breaks: ${php-bz2:Breaks}
+Conflicts: ${php-bz2:Conflicts}
+Provides: ${php-bz2:Provides}
+Recommends: ${php-bz2:Recommends}
+Description: bzip2 module for PHP
+ This package provides the bzip2 module(s) for PHP.
+ .
+ PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+ open source general-purpose scripting language that is especially suited
+ for web development and can be embedded into HTML.
+
+Package: php8.1-common
+Architecture: any
+Depends: php-common (>= 1:81~),
+         ucf,
+         ${misc:Depends},
+         ${php:Depends},
+	 ${php-common:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+	     ${php-common:Pre-Depends}
+Built-Using: ${php:Built-Using}
+Replaces: ${php-common:Replaces}
+Breaks: ${php-common:Breaks}
+Conflicts: ${php-common:Conflicts}
+Provides: ${php-common:Provides}
+Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP
