## php8.1 8.1.33

=== debian/changelog ===
php8.1 (8.1.33-1+0~20250703.72+debian12~1.gbpb08cf2) unstable; urgency=medium

  ** SNAPSHOT build @b08cf20e9e17bdbf4c56d99af519875a1af89931 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Thu, 03 Jul 2025 18:25:40 +0200

php8.1 (8.1.33-1) unstable; urgency=medium

  * Move setting ICU_CXXFLAGS to the right place in d/rules
  * Override ICU_CXXFLAGS instead of patching ext/intl/config.m4
  * Use ICU >= 75 version to determine the need for C++11 or C++17
  * Set PHP_BUILD_PROVIDER to Debian with option to override this from
    shell environment
  * New upstream version 8.1.33

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Jul 2025 18:09:35 +0200

php8.1 (8.1.32-2) unstable; urgency=medium

  * Remove libxmltok1-dev from Build-Depends (Closes: #871826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2025 19:24:02 +0200

php8.1 (8.1.32-1) unstable; urgency=medium

  * Disable the upstream test suite for unsupported PHP release
  * New upstream version 8.1.32

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 19:20:03 +0100

php8.1 (8.1.31-4) unstable; urgency=medium

  * Revert "Tighten build dependency on libgd2 to enable AVIF support"
  * Just rebuild with updated libgd2 on systems where available.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Mar 2025 14:54:05 +0100

php8.1 (8.1.31-3) unstable; urgency=medium

  * Tighten build dependency on libgd2 to enable AVIF support

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Mar 2025 14:46:17 +0100

php8.1 (8.1.31-2) unstable; urgency=medium

  * Remove the /usr/lib/libphp.so symbolic link if unowned (Closes: #1035798)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 09:38:19 +0100

php8.1 (8.1.31-1) unstable; urgency=medium

  * New upstream version 8.1.31
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI Interface.
   + [CVE-2024-8929]: Leak partial content of the heap through heap buffer
     over-read.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.     
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Nov 2024 11:23:07 +0100

php8.1 (8.1.30-1) unstable; urgency=medium

  * Add Restart=on-failure to the systemd service file
  * New upstream version 8.1.30
   + [CVE-2024-8926]: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + [CVE-2024-8927]: cgi.force_redirect configuration is bypassable due
     to the environment variable collision
   + [CVE-2024-8927]: Logs from FPM childrens may be altered
   + [CVE-2024-8925]: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2024 05:59:41 +0200
