=== debian/control ===
--- 
+++ 
@@ -60,7 +60,6 @@
                libwebp-dev,
                libwrap0-dev,
                libxml2-dev,
-               libxmltok1-dev,
                libxslt1-dev (>= 1.0.18),
                libzip-dev (>= 1.0.0),
                locales-all | language-pack-de,
