=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+export PHP_BUILD_PROVIDER ?= Debian
 
 export DEB_HOST_MULTIARCH
 PHP_SOURCE_VERSION   := $(DEB_VERSION)
@@ -34,6 +36,14 @@
 PHP_MAJOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$1}')
 PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
 PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')
+
+ICU_VERSION := $(shell dpkg -s libicu-dev | sed -ne 's/^Version: \(.*\)$$/\1/p')
+
+ifeq ($(shell dpkg --compare-versions $(ICU_VERSION) ge 75;echo $$?),0)
+export ICU_CXXFLAGS := -std=c++17
+else
+export ICU_CXXFLAGS := -std=c++11
+endif
 
 # Enable ZTS build if $(DEB_SOURCE) ends with -zts
 ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
@@ -95,7 +105,7 @@
 LIBTOOL_VERSION := $(shell dpkg-query -f'$${Version}' -W libtool)
 
 # Disable the test now
-RUN_TESTS := yes
+RUN_TESTS := no
 ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_PROFILES)))
   $(warning Disabling tests due DEB_BUILD_PROFILES)
   DEB_BUILD_OPTIONS += nocheck
@@ -116,12 +126,6 @@
   CONFIGURE_PCRE_JIT := --without-pcre-jit
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 ia64 powerpc))
-  CONFIGURE_DTRACE_ARGS := --enable-dtrace
-else
-  CONFIGURE_DTRACE_ARGS := --disable-dtrace
-endif
-
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_SYSTEMD := --with-fpm-systemd
   CONFIGURE_APPARMOR := --with-fpm-apparmor
@@ -138,7 +142,7 @@
 else
   DEB_CFLAGS_MAINT_APPEND += -O0
 endif
-DEB_CFLAGS_MAINT_APPEND += -Wall -fsigned-char -fno-strict-aliasing
+DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
 DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)
 
 # OpenSSL 3.0 support
@@ -179,6 +183,7 @@
 		--disable-debug \
 		--disable-rpath \
 		--disable-static \
+		--enable-dtrace \
 		--with-pic \
 		--with-layout=GNU \
 		--without-pear \
@@ -195,7 +200,6 @@
 		--with-zlib=/usr \
 		  --with-zlib-dir=/usr \
 		$(CONFIGURE_ZTS) \
-		$(CONFIGURE_DTRACE_ARGS) \
 		$(CONFIGURE_PCRE_JIT)
 
 # disable all SAPIs in extension build
@@ -236,5 +240,3 @@
 		--enable-pcntl
 
 export fpm_config = \
-		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
-		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
